package com.oqpo.api.mapper.oper;


import com.oqpo.api.entity.oper.MailFormEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MailFormMapper {
    List<MailFormEntity> selectMailFormGridList(@Param("sMailFormNm") String sMailFormNm, @Param("sMailStatusCd") String sMailStatusCd, GridRequest gridRequest)throws Exception;
    int selectMailFormGridCnt(@Param("sMailFormNm") String sMailFormNm, @Param("sMailStatusCd") String sMailStatusCd) throws Exception;

    MailFormEntity selectMailFormInfo(@Param("mailFormNo") String mailFormNo) throws Exception;

    int insertMailFormInfo(@Param("userId") String userId, MailFormEntity entity) throws Exception;
    int updateMailFormInfo(@Param("userId") String userId, MailFormEntity entity) throws Exception;
}
